import '../../css/video.css'

function PlayVideo({ src="hallway_FFF.mp4" })  {
    const urlSource = `${import.meta.env.VITE_ASSETS_URL}/${src}`;

    return(
        <div className="video-container">
            <video
                autoPlay
                muted
                controls="none"
                playsInline
                loop
                pointerEvents="none"
                onLoadedData={(e) => {
                    e.target.play()
                    console.log("played");
                }}
            >
                <source src={urlSource} type="video/mp4"/>
                Your browser does not support the video tag.
            </video>
        </div>
    )
}
  
export default PlayVideo
